CVE-2006-2656

Impact:
Low
Public Date:
2006-05-25
Bugzilla:
193166: CVE-2006-2656 tiffsplit buffer overflow

The MITRE CVE dictionary describes this issue as:

Stack-based buffer overflow in the tiffsplit command in libtiff 3.8.2 and earlier might might allow attackers to execute arbitrary code via a long filename. NOTE: tiffsplit is not setuid. If there is not a common scenario under which tiffsplit is called with attacker-controlled command line arguments, then perhaps this issue should not be included in CVE.

Find out more about CVE-2006-2656 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue was addressed in libtiff packages as shipped in Red Hat Enterprise Linux 2.1, 3, and 4 via: https://rhn.redhat.com/errata/RHSA-2006-0603.html

Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 2.1 (libtiff) RHSA-2006:0603 2006-08-02
Red Hat Enterprise Linux 4 (libtiff) RHSA-2006:0603 2006-08-02
Red Hat Enterprise Linux 3 (libtiff) RHSA-2006:0603 2006-08-02
Last Modified

CVE description copyright © 2017, The MITRE Corporation